# DataExchange
TKSTEP
StepToTopoDS

# StepToTopoDS_CartesianPointHasher Class Reference

`#include <StepToTopoDS_CartesianPointHasher.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_Integer | HashCode (const Handle(StepGeom_CartesianPoint)&K, const Standard_Integer Upper)
| Returns a HasCode value for the CartesianPoint .
static Standard_EXPORT Standard_Boolean | IsEqual (const Handle(StepGeom_CartesianPoint)&K1, const Handle(StepGeom_CartesianPoint)&K2)
| Returns True when the two CartesianPoint are the same .

## Member Function Documentation

static Standard_EXPORT Standard_Integer StepToTopoDS_CartesianPointHasher::HashCode | ( | const Handle(StepGeom_CartesianPoint)& | K,
|  | const Standard_Integer | Upper
| ) | `[static]`

static Standard_EXPORT Standard_Boolean StepToTopoDS_CartesianPointHasher::IsEqual | ( | const Handle(StepGeom_CartesianPoint)& | K1,
|  | const Handle(StepGeom_CartesianPoint)& | K2
| ) | `[static]`

void StepToTopoDS_CartesianPointHasher::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepToTopoDS_CartesianPointHasher::operator new | ( | size_t | size | ) | `[inline]`

void* StepToTopoDS_CartesianPointHasher::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- StepToTopoDS_CartesianPointHasher.hxx